package com.eactive.eai.common.session; 

import java.io.Serializable;

/** 
* 1. 기능 : SessionVO 객체
* 2. 처리 개요 : 
* 3. 주의사항 
*
* @author  : 
* @version : v 1.0.0
* @see : 관련 기능을 참조
* @since   : 
*  : 
*/
public class SessionVO implements Serializable
{ 
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 8397247737238565420L;
	
	private String loginUserId;
	private String loginInstId;
	private String wsInstId;
	private String wsAdapterGroupName;
	private String uuid;
	private String primaryInst; // 싱글어댑터

	//국코드 추가
	private String brncd;
//	private String sessionAES;
//	private String httpSessionId;
	private String terminalId;
	
	public SessionVO() {
		super();
		
	}

	public SessionVO(String loginUserId, String loginInstId, String uuid) {
		super();
		this.loginUserId = loginUserId;
		this.loginInstId = loginInstId;
		this.uuid = uuid;
	}
	
	public String getLoginUserId() {
		return loginUserId;
	}
	public void setLoginUserId(String loginUserId) {   
		this.loginUserId = loginUserId;
	}
	public String getLoginInstId() {
		return loginInstId;
	}
	public void setLoginInstId(String loginInstId) {
		this.loginInstId = loginInstId;
	}
	public String getUuid() {
		return uuid;
	}
	public void setUuid(String uuid) {
		this.uuid = uuid;
	}
	
//	public String getSessionAES() {
//		return sessionAES;
//	}
//
//	public void setSessionAES(String sessionAES) {
//		this.sessionAES = sessionAES;
//	}
//
//
//	public String getHttpSessionId() {
//		return httpSessionId;
//	}
//
//	public void setHttpSessionId(String httpSessionId) {
//		this.httpSessionId = httpSessionId;
//	}

	public String getWsInstId() {
		return wsInstId;
	}

	public void setWsInstId(String wsInstId) {
		this.wsInstId = wsInstId;
	}
	
	public String getWsAdapterGroupName() {
		return wsAdapterGroupName;
	}

	public void setWsAdapterGroupName(String wsAdapterGroupName) {
		this.wsAdapterGroupName = wsAdapterGroupName;
	}
	
	public String getBrncd() {
		return brncd;
	}

	public void setBrncd(String brncd) {
		this.brncd = brncd;
	}

	public String getTerminalId() {
		return terminalId;
	}

	public void setTerminalId(String terminalId) {
		this.terminalId = terminalId;
	}
	
	public String getPrimaryInst() {
		return primaryInst;
	}

	public void setPrimaryInst(String primaryInst) {
		this.primaryInst = primaryInst;
	}

	@Override
	public String toString() {
		return "SessionVO [loginUserId=" + loginUserId + ", loginInstId=" + loginInstId + ", wsInstId=" + wsInstId
				+ ", wsAdapterGroupName=" + wsAdapterGroupName + ", uuid=" + uuid + ", brncd=" + brncd + ", terminalId="
				+ terminalId + ", primaryInst="+ primaryInst  +"]";
	}


} 
